package com.qmth.teachcloud.mark.bean.papermigrate;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

public class PaperMigrateDomain {

    @NotNull(message = "paperId不能为空")
    private Long paperId;

    @NotNull(message = "考试ID不能为空")
    private Long examId;

    @NotBlank(message = "coursePaperId不能为空")
    private String coursePaperId;
    
    @NotBlank(message = "studentCode不能为空")
    private String studentCode;
    
    @NotNull(message = "paperNumber不能为空")
    private Integer paperNumber;

    @NotNull(message = "cardNumber不能为空")
    private Integer cardNumber;

    private List<PaperMigratePage> pages;

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }


    public String getCoursePaperId() {
		return coursePaperId;
	}

	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public Integer getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(Integer paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public List<PaperMigratePage> getPages() {
        return pages;
    }

    public void setPages(List<PaperMigratePage> pages) {
        this.pages = pages;
    }

}
